local simdefs = include("sim/simdefs")

local agentrig = include("gameplay/agentrig").rig

local oldInit = agentrig.init
local oldWaitForAnim = agentrig.waitForAnim
local oldSetCurrentAnim = agentrig.setCurrentAnim

local branch = false

function agentrig:init( ... )
	oldInit( self, ... )
	
	local oldOnSimEvent = self._shootState.onSimEvent
	
	function self._shootState:onSimEvent( ev, eventType, eventData )
		if eventType == simdefs.EV_UNIT_SHOT then
			branch = false
			if eventData.dmgt.shots == 1 then
				eventData.dmgt.shots = simdefs.SEMIAUTO
				branch = true
			else
				eventData.dmgt.shots = simdefs.SMG + eventData.dmgt.shots
			end
		end
	
		oldOnSimEvent( self, ev, eventType, eventData )
	end
end

function agentrig:waitForAnim( animName, ... )
	if branch and (animName == "shoot2" or animName == "shoot3") then
		animName = "shoot1"
	end

	return oldWaitForAnim( self, animName, ... )
end

function agentrig:setCurrentAnim( animName, ... )
	if branch and (animName == "shoot2" or animName == "shoot3") then
		animName = "shoot1"
	end

	return oldSetCurrentAnim( self, animName, ... )
end