local function init( modApi )
    local scriptPath = modApi:getScriptPath()
	local dataPath = modApi:getDataPath()
	
	--KLEIResourceMgr.MountPackage( dataPath .. "/gui.kwad", "data" )
	
	include( scriptPath.."/agentrig" )
	modApi:addGenerationOption( "pistols", STRINGS.SEMIAUTO.NAME, STRINGS.SEMIAUTO.TIP, { value = 3, values = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 15, 20, 25, 30, 35, 40, 50, 75, 100, 130, 260 }, noUpdate = true } )
	modApi:addGenerationOption( "smg", STRINGS.SEMIAUTO.FULL_NAME, STRINGS.SEMIAUTO.FULL_TIP, { value = 5, values = { 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 15, 20, 25, 30, 35, 40, 50, 75, 100, 123, 130, 253, 260 }, noUpdate = true } )
end

local function load( modApi, options )
	local simdefs = include("sim/simdefs")
	simdefs.SEMIAUTO = options.pistols.value
	simdefs.SMG = options.smg.value
end

local function unload( modApi, options )
	local simdefs = include("sim/simdefs")
	simdefs.SEMIAUTO = 1
	simdefs.SMG = 0
end

local function initStrings( modApi )
	local dataPath = modApi:getDataPath()
    local scriptPath = modApi:getScriptPath()
	
    modApi:addStrings( dataPath, "SEMIAUTO", {
		NAME = "AUTO PISTOL SHOTS",
		TIP = "The number of shots made when a normally single shot weapon (pistol, dart weapon, sniper rifle) is fired (purely visual).",
		FULL_NAME = "SMG EXTRA SHOTS",
		FULL_TIP = "The number of shots added to smg style weapons (purely visual).",
	} )  
end

return {
	init = init,
	load = load,
	unload = unload,
	initStrings = initStrings,
}